Page MenuHomePhabricator

[mlir-lsp-server] Fix bug in symbol use/def tracking
ClosedPublic

Authored by rriddle on Jun 4 2021, 5:07 PM.

Details

Summary

We were accidentally only using the first found reference, instead of all of them. This revision fixes this by properly tracking all references to a symbol.

Depends On D103729

Diff Detail

Event Timeline

rriddle created this revision.Jun 4 2021, 5:07 PM
rriddle requested review of this revision.Jun 4 2021, 5:08 PM
jpienaar accepted this revision.Jun 5 2021, 4:32 PM
This revision is now accepted and ready to land.Jun 5 2021, 4:32 PM
This revision was landed with ongoing or failed builds.Jun 7 2021, 2:11 PM
This revision was automatically updated to reflect the committed changes.